MDS Iceberg REST Catalog API

Introduction Note: This API version is deprecated. Please use the v3 APIhttps://cloud.ibm.com/apidocs/watsonxdata-v3 instead. IBM® watsonx.data is a data management solution for collecting, storing, querying, and analyzing all your enterprise data structured, semi-structured, and unstructured with a single unified data platform. It provides a flexible and reliable platform that is optimized to work on open data formats. The api are in beta state and expected to change. Endpoint URLs The base URLs come from the service instance. To find the URL, view the service credentials by clicking the name of the service in the Resource listhttps://cloud.ibm.com/resources. Use the value of the URL. Add the method to form the complete API endpoint for your request. Authentication Required Purpose: To work with the API, you must use an IBM Cloud Identity and Access Management IAM access token. The token is used to determine the actions that a user or service ID has access to when they use the API. You can generate an IAM token for an authenticated user or service ID by using the IAM Identity Services APIhttps://cloud.ibm.com/apidocs/iam-identity-token-api. IAM tokens are generated by using the user or service ID's API key. For more information, see Generating an IBM Cloud IAM token by using an API keyhttps://cloud.ibm.com/docs/account?topic=account-iamtokenfromapikey. To use the API, add a valid IAM token to the HTTP Authorization request header, for example, -H 'Authorization: Bearer {TOKEN}'. To retrieve your access token: bash curl -X POST \ "https://iam.cloud.ibm.com/identity/token" \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Accept: application/json' \ --data-urlencode 'granttype=urn:ibm:params:oauth:grant-type:apikey' \ --data-urlencode 'apikey={APIKEY}' Replace {APIKEY} with your IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey. Auditing Required if applicable Purpose: Describes that the API generates auditing events that can be consumed by the Activity Tracker service, and links to your related product docs for more information. Required only if any of the API's methods is enabled to generate auditing events. Example: You can monitor API activity within your account by using the IBM Cloud Activity Tracker service. Whenever an API method is called, an event is generated that you can then track and audit from within Activity Tracker. The specific event type is listed for each individual method. For more information about how to track Certificate Manager activity, see Auditing events for Certificate Managerhttps://cloud.ibm.com/docs/certificate-manager?topic=certificate-manager-atevents. Error handling This API uses standard HTTP response codes to indicate whether a method completed successfully. A 200 response indicates success. A 400 type response indicates a failure, and a 500 type response indicates an internal system error. | HTTP Error Code | Description | Recovery | |-----------------|-----------------------|-----------------------------------------------------------------------------| | 200 | Success | The request was successful. | | 201 | Created | The requested resource successfully created in a synchronous manner. | | 204 | No Content | The server successfully processed the request and is not returning any content.| | 400 | Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request. | | 401 | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions. | | 403 | Forbidden | The supplied authentication is not authorized to access '{namespace}'. | | 404 | Not Found | The requested resource could not be found. | | 409 | Conflict | The entity is already in the requested state. | | 500 | Internal Server Error | Your request could not be processed. Wait a few minutes and try again. | Pagination Some API requests might return many results. To avoid performance issues, these results are returned one page at a time, with a limited number of results on each page. GET requests for the following resources use pagination: /v1/statement For the request that uses pagination, the response does include following urls to make subsequent requests : infoUri: The URL for requesting the first page of results. nextUri: The URL for requesting the next page of results.

MethodPathSummary
GET/v1/configList all catalog configuration settings
GET/v1/{prefix}/namespacesList namespaces
POST/v1/{prefix}/namespacesCreate a namespace
GET/v1/{prefix}/namespaces/{namespace}Load the metadata properties for a namespace
HEAD/v1/{prefix}/namespaces/{namespace}Check if a namespace exists
DELETE/v1/{prefix}/namespaces/{namespace}Drop a namsespace from the catalog
POST/v1/{prefix}/namespaces/{namespace}/propertiesSet or remove properties on a namespace
GET/v1/{prefix}/namespaces/{namespace}/tablesList all table identifiers underneath a given namespace
POST/v1/{prefix}/namespaces/{namespace}/tablesCreate a table in the given namespace
POST/v1/{prefix}/namespaces/{namespace}/registerRegister a table in the given namespace using given metadata file location
GET/v1/{prefix}/namespaces/{namespace}/tables/{table}Load a table from the catalog
POST/v1/{prefix}/namespaces/{namespace}/tables/{table}Commit updates to a table
DELETE/v1/{prefix}/namespaces/{namespace}/tables/{table}Drop a table from the catalog
HEAD/v1/{prefix}/namespaces/{namespace}/tables/{table}Check if a table exists
POST/v1/{prefix}/tables/renameRename a table from its current name to a new name
POST/v1/{prefix}/transactions/commitCommit updates to multiple tables in an atomic operation
GET/v1/{prefix}/namespaces/{namespace}/viewsList all view identifiers underneath a given namespace
POST/v1/{prefix}/namespaces/{namespace}/viewsCreate a view in the given namespace
GET/v1/{prefix}/namespaces/{namespace}/views/{view}Load a view from the catalog
POST/v1/{prefix}/namespaces/{namespace}/views/{view}Replace a view
DELETE/v1/{prefix}/namespaces/{namespace}/views/{view}Drop a view from the catalog
HEAD/v1/{prefix}/namespaces/{namespace}/views/{view}Check if a view exists
POST/v1/{prefix}/views/renameRename a view from its current name to a new name